#pragma once
#include "afxcmn.h"
#include "afxwin.h"

#define WMU_DIE_SEARCH_THREAD		WM_USER + 1

// CPage2 dialog
/**
 * \ingroup VSSDisconnector
 *
 *
 * \par requirements
 * win2k or later\n
 * MFC\n
 *
 * \version 1.0
 * first version
 *
 * \date 2005-06-17
 *
 * \author yoway
 *
 * \par license
 * 
 * \todo 
 *
 * \bug 
 *
 */
class CPage2 : public CPropertyPage
{
	DECLARE_DYNAMIC(CPage2)

public:
	CPage2();
	virtual ~CPage2();

// Dialog Data
	enum { IDD = IDD_PAGE2 };

	void	AddFileToList( CString strName, CString strPath, CString strChange );

protected:
	CWinThread*		m_pSearchThread;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CListCtrl	m_lstFile;
	CEdit		m_edtPath;

	virtual BOOL OnSetActive();
	virtual BOOL OnInitDialog();
	virtual BOOL OnQueryCancel();
	afx_msg LRESULT OnDieSearchThread(WPARAM wp, LPARAM lp);
};

// Thread Info Struct
struct TrdInfoSearch
{
	CPage2*		m_pMsgWnd;
	CString		m_strPath;
};

// Search Thread
UINT	ThreadSearchFile( LPVOID pParam );
void	SearchFolder( CPage2* pLstWnd );