#pragma once

#include "Page1.h"
#include "Page2.h"
#include "Page3.h"

// CSheet

/**
 * \ingroup VSSDisconnector
 *
 *
 * \par requirements
 * win98 or later\n
 * win2k or later\n
 * MFC\n
 *
 * \version 1.0
 * first version
 *
 * \date 2005-06-17
 *
 * \author yoway
 *
 * \par license
 * 
 * \todo 
 *
 * \bug 
 *
 */
class CSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CSheet)

public:
	CSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	virtual ~CSheet();

	BOOL init();

	//
	CPage1		m_page1;
	CPage2		m_page2;
	CPage3		m_page3;

protected:
	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
};


