#pragma once
#include "afxwin.h"
#include "afxcmn.h"

#include "Page2.h"
#include "Page1.h"

class CPage3;

#define WMU_DIE_PROCESS_THREAD		WM_USER + 2
#define WMU_KILL_PROCESS_THREAD		WM_USER + 3
#define WMU_MSG_PROCESS_THREAD		WM_USER + 4

// Thread Info Struct
struct TrdInfoProcess
{
	BOOL			m_bThread;
	CListCtrl*		m_pList;
	CPage3*			m_pMsgWnd;

	CStringArray	m_strArrDelRes;
	CStringArray	m_strArrModRes;
	CStringArray	m_strArrModOri;
};

// Search Thread
UINT		ThreadProcess( LPVOID pParam );
CString		DeleteDestFile( CString strFilePath );			// ش ϰ   ڿ 
CString		ModifyDestFile( CString strFilePath, CString& strOriginal );		// ش   ϰ Ǳ  strOriginal,    

// CPage3 dialog
/**
 * \ingroup VSSDisconnector
 *
 *
 * \par requirements
 * win2k or later\n
 * MFC\n
 *
 * \version 1.0
 * first version
 *
 * \date 2005-06-17
 *
 * \author yoway
 *
 * \par license
 * 
 * \todo 
 *
 * \bug 
 *
 */
class CPage3 : public CPropertyPage
{
	DECLARE_DYNAMIC(CPage3)

public:
	CPage3();
	virtual ~CPage3();

// Dialog Data
	enum { IDD = IDD_PAGE3 };

	int					m_nListCnt;
	TrdInfoProcess*		m_pThreadInfo;
	CWinThread*			m_pProcessThread;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CEdit m_EdtFolderPath;
	CEdit m_EdtFileName;
	CEdit m_EdtProcess;
	CButton m_btnViewResult;
	CProgressCtrl m_progress;

	afx_msg LRESULT OnDieProcessThread(WPARAM wp, LPARAM lp);
	afx_msg LRESULT OnKillProcessThread(WPARAM wp, LPARAM lp);
	afx_msg LRESULT OnMsgProcessThread(WPARAM wp, LPARAM lp);

	virtual BOOL OnSetActive();
	virtual BOOL OnQueryCancel();
	virtual BOOL OnInitDialog();
	
	afx_msg void OnBnClickedButton1();
	virtual BOOL OnKillActive();
};